> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justpaid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Invoice Pdf Get Api

> Gets the invoice PDF URL. Generates PDF if not exists.



## OpenAPI

````yaml get /api/v1/invoice/{invoice_uuid}/pdf
openapi: 3.1.0
info:
  title: NinjaAPI
  version: 1.0.0
  description: ''
servers:
  - url: https://api.justpaid.io
security: []
paths:
  /api/v1/invoice/{invoice_uuid}/pdf:
    get:
      summary: Invoice Pdf Get Api
      description: Gets the invoice PDF URL. Generates PDF if not exists.
      operationId: loopfour_backend_invoice_external_api_invoice_pdf_get_api
      parameters:
        - in: path
          name: invoice_uuid
          schema:
            title: Invoice Uuid
            type: string
          required: true
      responses:
        '200':
          description: PDF URL retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoicePdfOut'
        '404':
          description: Invoice not found
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - HttpBearerAuth: []
components:
  schemas:
    InvoicePdfOut:
      description: Response schema for PDF endpoint.
      properties:
        invoice_uuid:
          description: Invoice UUID
          example: 123e4567-e89b-12d3-a456-426614174000
          title: Invoice Uuid
          type: string
        pdf_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL to download PDF
          example: https://api.justpaid.ai/invoices/123.pdf
          title: Pdf Url
        generated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: When PDF was generated
          example: '2024-03-21T10:00:00Z'
          title: Generated At
      required:
        - invoice_uuid
      title: InvoicePdfOut
      type: object
  securitySchemes:
    HttpBearerAuth:
      type: http
      scheme: bearer

````